extends Control

@export var first_selection: Control

func _ready():
	first_selection.grab_focus()

func _on_continue_button_pressed():
	get_tree().current_scene.pause()

func _on_menu_button_pressed():
	get_tree().current_scene.pause()
	get_tree().change_scene_to_file("res://src/gui/menu/main.tscn")

func _on_options_button_pressed():
	var options = load("res://src/gui/menu/options.tscn").instantiate()
	get_parent().add_child((options))
	options.last_menu = self
	hide()
